searchData={"items":[{"type":"module","title":"LazyFor","doc":"The stream-based implementation of `Kernel.SpecialForms.for/1`.\n\nHas the same syntax as its ancestor, returns a stream.\n\nCurrently supports `Enum.t()` as an input. Examples are gracefully stolen\n  from the ancestor’s docs.\n\n_Examples:_\n\n    iex> import LazyFor\n    iex> # A list generator:\n    iex> result = stream n   Enum.to_list(result)\n    [2, 4, 6, 8]\n\n    iex> # A comprehension with two generators\n    iex> result = stream x   Enum.to_list(result)\n    [2, 3, 4, 6]\n\n    iex> # A comprehension with a generator and a filter\n    iex> result = stream n   Enum.to_list(result)\n    [2, 4, 6]\n\n    iex> users = [user: \"john\", admin: \"meg\", guest: \"barbara\"]\n    iex> result = stream {type, name} when type != :guest     String.upcase(name)\n    ...> end\n    iex> Enum.to_list(result)\n    [\"JOHN\", \"MEG\"]\n\n    iex> Enum.to_list(stream  >, c != ?|, do: c)\n    'abc'","ref":"LazyFor.html"},{"type":"extras","title":"LazyFor","doc":"# LazyFor\n\n![Scene in club lounge, by Thomas Rowlandson](https://raw.githubusercontent.com/am-kantox/lazy_for/master/stuff/1118px-British_club_scene.jpg)\n>  Scene in club lounge, by [Thomas Rowlandson](https://en.wikipedia.org/wiki/Thomas_Rowlandson)","ref":"readme.html"},{"type":"extras","title":"About - LazyFor","doc":"The stream-based implementation of [`Kernel.SpecialForms.for/1`](https://hexdocs.pm/elixir/master/Kernel.SpecialForms.html?#for/1).\n\nHas the same syntax as its ancestor, returns a stream.\n\nCurrently supports `Enum.t()` as an input. Examples are gracefully stolen from the ancestor’s docs.\n\n_Examples:_\n\n```elixir\niex> import LazyFor\niex> # A list generator:\niex> result = stream n   Enum.to_list(result)\n[2, 4, 6, 8]\n\niex> # A comprehension with two generators\niex> result = stream x   Enum.to_list(result)\n[2, 3, 4, 6]\n\niex> # A comprehension with a generator and a filter\niex> result = stream n   Enum.to_list(result)\n[2, 4, 6]\n\niex> users = [user: \"john\", admin: \"meg\", guest: \"barbara\"]\niex> result = stream {type, name} when type != :guest     String.upcase(name)\n...> end\niex> Enum.to_list(result)\n[\"JOHN\", \"MEG\"]\n\niex> Enum.to_list(stream  >, c != ?\\s, do: c)\n'abc'\n```","ref":"readme.html#about"},{"type":"extras","title":"Installation - LazyFor","doc":"```elixir\ndef deps do\n  [\n    {:lazy_for, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Changelog - LazyFor","doc":"### `v1.1.0`\n\n- `reduce:` optional argument is experimentally supported\n\n### `v1.0.0`\n\n- version bump\n\n### `v0.3.0`\n\n- optional arguments `:into`, `:uniq`, and `:take`\n- remaining: `:reduce`\n\n### `v0.2.0`\n\n- assignments inside the pipeline\n- support for binary comprehensions\n\n## [Documentation](https://hexdocs.pm/lazy_for).","ref":"readme.html#changelog"}],"content_type":"text/markdown"}